"Library corrupt" message

Hello folk! Just updated to Engine DJ from engine prime 1.6 but now when I try to load track into deck I get a message that the library is corrupt and i should contact support anyone else had this problem ?

same problem overe here

I ended up rolling back to 1.6 version for now hope they work out these issues soon